char.expand {base} | R Documentation

## Expand a String with Respect to a Target Table

### Description

Seeks a unique match of its first argument among the elements of its second. If successful, it returns this element; otherwise, it performs an action specified by the third argument.

### Usage

    char.expand(input, target, nomatch = stop("no match"))

### Arguments

`input` | a character string to be expanded.
`target` | a character vector with the values to be matched against.
`nomatch` | an R expression to be evaluated in case expansion was not possible.

### Details

This function is particularly useful when abbreviations are allowed in function arguments, and need to be uniquely expanded with respect to a target table of possible values.

Inputs with embedded nul bytes will be truncated at the first nul.

### Value

A length-one character vector, one of the elements of `target` (unless `nomatch` is changed to be a non-error, when it can be a zero-length character string).

### See Also

`charmatch` and `pmatch` for performing partial string matching.

### Examples

    locPars <- c("mean", "median", "mode")
    char.expand("me", locPars, warning("Could not expand!"))
    char.expand("mo", locPars)

[Package base version 2.7.1 Index]